Bug 39269 - RFE: manifest of RPMs in rawhide-release desc field
Summary: RFE: manifest of RPMs in rawhide-release desc field
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: redhat-release   
(Show other bugs)
Version: 1.0
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact:
URL:
Whiteboard:
Keywords: FutureFeature
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-05-06 15:21 UTC by dunwoody
Modified: 2014-03-17 02:20 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-05-06 15:21:05 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description dunwoody 2001-05-06 15:21:01 UTC
Some of the FTP sites that mirror Rawhide (e.g. ftp.valinux.com) keep a sea
of RPMs from multiple
Rawhide releases in a single directory, which makes it a bit harder to
figure out the exact set
of RPMs that corresponds to a specific Rawhide release.  Usually I just
want the latest set of RPMs,
so I look at the build date of each RPM via rpm -i.

One thing that would help would be to somehow get all the mirror sites to
put each Rawhide release
in its own FTP directory.

Another thing that would help, and might be easier to implement, would be
to include an explicit
"manifest" of RPMs with each Rawhide release.  Perhaps this is already
available, and I simply don't
know where to look for it.

If there is not already such a manifest, perhaps a list of the RPMs in a
release could be put into
the "Description" field of the rawhide-release RPM? This would make that
field rather long, but
it would provide a convenient way to get at the manifest information. 
Perhaps the same approach
could even be used with the regular redhat-release RPMs?

Comment 1 Bill Nottingham 2001-05-07 13:44:08 UTC
It's not going to be put in the RPM description field; that would have
to be done at built time. It may be possible to put a manifest in the
release, but in general I'd just say that the mirrors are broken if they
aren't deleting old files.

If you read the header list in i386/RedHat/base (assuming it gets created),
it will tell you what RPMs are there.


Note You need to log in before you can comment on or make changes to this bug.